Subject: RFC: representing sdio devices oob interrupt, clks, etc. in device tree

From: [email-masked] (Arend van Spriel)
Date: Mon, 26 May 2014 11:08:01 +0200

On 05/26/14 10:07, Hans de Goede wrote:
> Hi,
>
> On 05/26/2014 09:59 AM, Chen-Yu Tsai wrote:
>> On Mon, May 26, 2014 at 3:51 PM, Arend van Spriel<[email-masked]>  wrote:
>>> + Russell
>
> <snip>
>
>>> Hi Hans,
>>>
>>> I recalled a recent patchset from Russell King. He was working on i.MX6
>>> platform with brcmfmac device and ended reworking sdhci/mmc host controller
>>> code in a series of patches [1]. Patch 34 might be similar to what you are
>>> trying to accomplish.
>>
>> I believe that is a resend of Olof's patch I mentioned early in this
>> discussion. :)

Ok,

I meant to refer to this thread [1]. Indeed, the patch is from Olof.

Regards,
Arend

[1] http://thread.gmane.org/gmane.linux.documentation/22805

> Ok, assuming that is the case, then it seems to me that we are all moving
> somewhat in the same direction, which is good :)
>
> What I would like to propose is to move forward with Olof's patch with
> 2 changes made to it:
>
> 1) Store the clocks / resets / whatever in childnodes of the mmc host node,
> with the childnodes using the addressing scheme described in the patch
> from Sascha Hauer titled: "mmc: Add SDIO function devicetree subnode parsing",
> as this is where they really belong (and in some cases the sdio function driver
> may need access to them too).
>
> 2) Make Olof's code only do the powerup if the child node has a compatible of
> "simple-sdio-powerup", to avoid it getting in the way of more complex poweron
> scenarios (which may require a separate pmic driver or some such) later.
>
> Regards,
>
> Hans